diff --git a/ldap/servers/slapd/back-ldbm/dblayer.c b/ldap/servers/slapd/back-ldbm/dblayer.c
index 33287d4..dafd093 100644
--- a/ldap/servers/slapd/back-ldbm/dblayer.c
+++ b/ldap/servers/slapd/back-ldbm/dblayer.c
@@ -321,11 +321,11 @@ dblayer_set_batch_transactions(void *arg, void *value, char *errorbuf, int phase
             } else if(val > 0) {
                 if(trans_batch_limit == FLUSH_REMOTEOFF){
                     /* this requires a server restart to take effect */
-                    LDAPDebug(LDAP_DEBUG_ANY,"dblayer_set_batch_transactions: enabling batch transactions "
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"dblayer_set_batch_transactions: enabling batch transactions "
                             "requires a server restart.\n",0,0,0);
                 } else if (!log_flush_thread){
                     /* we are already disabled, log a reminder of that fact. */
-                    LDAPDebug(LDAP_DEBUG_ANY,"dblayer_set_batch_transactions: batch transactions was "
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"dblayer_set_batch_transactions: batch transactions was "
                             "previously disabled, this update requires a server restart.\n",0,0,0);
                 }
                 trans_batch_limit=val;
@@ -356,7 +356,7 @@ dblayer_set_batch_txn_min_sleep(void *arg, void *value, char *errorbuf, int phas
             } else if(val > 0) {
                 if(trans_batch_txn_min_sleep == FLUSH_REMOTEOFF || !log_flush_thread){
                     /* this really has no effect until batch transactions are enabled */
-                    LDAPDebug(LDAP_DEBUG_ANY,"dblayer_set_batch_txn_min_sleep: Warning batch transactions "
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"dblayer_set_batch_txn_min_sleep: Warning batch transactions "
                             "is not enabled.\n",0,0,0);
                 }
                 trans_batch_txn_min_sleep = val;
@@ -387,7 +387,7 @@ dblayer_set_batch_txn_max_sleep(void *arg, void *value, char *errorbuf, int phas
             } else if(val > 0) {
                 if(trans_batch_txn_max_sleep == FLUSH_REMOTEOFF || !log_flush_thread){
                 	/* this really has no effect until batch transactions are enabled */
-                    LDAPDebug(LDAP_DEBUG_ANY,"dblayer_set_batch_txn_max_sleep: Warning batch transactions "
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"dblayer_set_batch_txn_max_sleep: Warning batch transactions "
                             "is not enabled.\n",0,0,0);
                 }
                 trans_batch_txn_max_sleep = val;
@@ -453,7 +453,7 @@ static int _dblayer_check_version(dblayer_private *priv)
     }
     /* DB3X: always POST 24 :) */
     priv->dblayer_lib_version = DBLAYER_LIB_VERSION_POST_24;
-    LDAPDebug(LDAP_DEBUG_TRACE,"version check: %s (%d.%d)\n", string, major, minor);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"version check: %s (%d.%d)\n", string, major, minor);
     return ret;
 }
 
@@ -480,7 +480,7 @@ dblayer_get_home_dir(struct ldbminfo *li, int *dbhome)
     }
     if (NULL == home_dir)
     {
-        LDAPDebug(LDAP_DEBUG_ANY,"Db home directory is not set. "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"Db home directory is not set. "
             "Possibly %s (optionally %s) is missing in the config file.\n",
             CONFIG_DIRECTORY, CONFIG_DB_HOME_DIRECTORY, 0);
     }
@@ -510,7 +510,7 @@ void dblayer_log_print(const char* prefix, char *buffer)
 #endif
 {
     /* We ignore the prefix since we know who we are anyway */
-    LDAPDebug(LDAP_DEBUG_ANY,"libdb: %s\n", buffer, 0, 0);    
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"libdb: %s\n", buffer, 0, 0);    
 }
 
 void dblayer_remember_disk_filled(struct ldbminfo *li)
@@ -664,7 +664,7 @@ static int dblayer_override_libdb_functions(DB_ENV *pEnv, dblayer_private *priv)
     db_env_set_func_seek((int (*)(int, off_t, int))dblayer_seek24_large);
 #endif
 
-    LDAPDebug(LDAP_DEBUG_TRACE, "Enabled 64-bit files\n", 0, 0, 0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "Enabled 64-bit files\n", 0, 0, 0);
 #endif   /* DB_USE_64LFS */
     return 0;
 }
@@ -759,7 +759,7 @@ static void dblayer_select_ncache(size_t cachesize, int *ncachep)
 #if defined(__LP64__) || defined (_LP64)
 	if ( (sizeof(cachesize) > 4) && (cachesize > (4L * GIGABYTE))) {
 		*ncachep = (cachesize / (4L * GIGABYTE)) + 1;
-		LDAPDebug(LDAP_DEBUG_ANY,"Setting ncache to: %d to keep each chunk below 4Gbytes\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"Setting ncache to: %d to keep each chunk below 4Gbytes\n",
 			*ncachep, 0, 0);
 	}
 #endif
@@ -818,7 +818,7 @@ cleanup:
             slapi_ch_free((void **)&head[i]);
         }
         if (myncache == mymaxncache) {
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                 "WARNING: dbcachesize %lu too big\n", cachesize, 0, 0);
             myncache = 0;
             found = -1;
@@ -874,41 +874,41 @@ static void dblayer_init_dbenv(DB_ENV *pEnv, dblayer_private *priv)
 static void dblayer_dump_config_tracing(dblayer_private *priv)
 {
     if (priv->dblayer_home_directory) {
-        LDAPDebug(LDAP_DEBUG_TRACE,"home_directory=%s\n",priv->dblayer_home_directory,0,0);
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"home_directory=%s\n",priv->dblayer_home_directory,0,0);
     }
     if (priv->dblayer_log_directory) {
-        LDAPDebug(LDAP_DEBUG_TRACE,"log_directory=%s\n",priv->dblayer_log_directory,0,0);
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"log_directory=%s\n",priv->dblayer_log_directory,0,0);
     }
     if (priv->dblayer_dbhome_directory) {
-        LDAPDebug(LDAP_DEBUG_TRACE,"dbhome_directory=%s\n",priv->dblayer_dbhome_directory,0,0);
-    }
-    LDAPDebug(LDAP_DEBUG_TRACE,"trickle_percentage=%d\n",priv->dblayer_trickle_percentage,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"page_size=%lu\n",priv->dblayer_page_size,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"index_page_size=%lu\n",priv->dblayer_index_page_size,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"cachesize=%lu\n",priv->dblayer_cachesize,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"previous_cachesize=%lu\n",priv->dblayer_previous_cachesize,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"ncache=%d\n",priv->dblayer_ncache,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"previous_ncache=%d\n",priv->dblayer_previous_ncache,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"recovery_required=%d\n",priv->dblayer_recovery_required,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"durable_transactions=%d\n",priv->dblayer_durable_transactions,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"checkpoint_interval=%d\n",priv->dblayer_checkpoint_interval,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"transaction_batch_val=%d\n",trans_batch_limit,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"circular_logging=%d\n",priv->dblayer_circular_logging,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"idl_divisor=%d\n",priv->dblayer_idl_divisor,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"logfile_size=%lu\n",priv->dblayer_logfile_size,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"logbuf_size=%lu\n",priv->dblayer_logbuf_size,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"file_mode=%d\n",priv->dblayer_file_mode,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"cache_config=%d\n",priv->dblayer_cache_config,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"lib_version=%d\n",priv->dblayer_lib_version,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"spin_count=%d\n",priv->dblayer_spin_count,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"named_regions=%d\n",priv->dblayer_named_regions,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"private mem=%d\n",priv->dblayer_private_mem,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"private import mem=%d\n",priv->dblayer_private_import_mem,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"shm_key=%ld\n",priv->dblayer_shm_key,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"lockdown=%d\n",priv->dblayer_lockdown,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"locks=%d\n",priv->dblayer_lock_config,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"previous_locks=%d\n",priv->dblayer_previous_lock_config,0,0);
-    LDAPDebug(LDAP_DEBUG_TRACE,"tx_max=%d\n",priv->dblayer_tx_max,0,0);
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"dbhome_directory=%s\n",priv->dblayer_dbhome_directory,0,0);
+    }
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"trickle_percentage=%d\n",priv->dblayer_trickle_percentage,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"page_size=%lu\n",priv->dblayer_page_size,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"index_page_size=%lu\n",priv->dblayer_index_page_size,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"cachesize=%lu\n",priv->dblayer_cachesize,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"previous_cachesize=%lu\n",priv->dblayer_previous_cachesize,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"ncache=%d\n",priv->dblayer_ncache,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"previous_ncache=%d\n",priv->dblayer_previous_ncache,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"recovery_required=%d\n",priv->dblayer_recovery_required,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"durable_transactions=%d\n",priv->dblayer_durable_transactions,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"checkpoint_interval=%d\n",priv->dblayer_checkpoint_interval,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"transaction_batch_val=%d\n",trans_batch_limit,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"circular_logging=%d\n",priv->dblayer_circular_logging,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"idl_divisor=%d\n",priv->dblayer_idl_divisor,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"logfile_size=%lu\n",priv->dblayer_logfile_size,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"logbuf_size=%lu\n",priv->dblayer_logbuf_size,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"file_mode=%d\n",priv->dblayer_file_mode,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"cache_config=%d\n",priv->dblayer_cache_config,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"lib_version=%d\n",priv->dblayer_lib_version,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"spin_count=%d\n",priv->dblayer_spin_count,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"named_regions=%d\n",priv->dblayer_named_regions,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"private mem=%d\n",priv->dblayer_private_mem,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"private import mem=%d\n",priv->dblayer_private_import_mem,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"shm_key=%ld\n",priv->dblayer_shm_key,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"lockdown=%d\n",priv->dblayer_lockdown,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"locks=%d\n",priv->dblayer_lock_config,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"previous_locks=%d\n",priv->dblayer_previous_lock_config,0,0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"tx_max=%d\n",priv->dblayer_tx_max,0,0);
 }
 
 /* Check a given filesystem directory for access we need */
@@ -983,7 +983,7 @@ static int dblayer_grok_directory(char *directory, int flags)
                 }
                 /* If we're here, it means that we did not have the requested
                  * permission on this file */
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                     "WARNING---no %s permission to file %s\n",
                     access_string,filename,0);
             } else {
@@ -1062,7 +1062,7 @@ dblayer_make_env(struct dblayer_private_env **env, struct ldbminfo *li)
                                                    sizeof(dblayer_private_env));
 
     if ((ret = db_env_create(&pEnv->dblayer_DB_ENV, 0)) != 0) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "ERROR -- Failed to create DB_ENV (returned: %d).\n",
                   ret, 0, 0);
     }
@@ -1120,7 +1120,7 @@ dblayer_make_env(struct dblayer_private_env **env, struct ldbminfo *li)
         *env = pEnv;
         pEnv = NULL; /* do not free below */
     } else {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "ERROR -- Failed to create RWLock (returned: %d).\n", 
             ret, 0, 0);
     }
@@ -1241,7 +1241,7 @@ no_diskspace(struct ldbminfo *li, int dbenv_flags)
     char *region_dir;
 
     if (statvfs(li->li_directory, &db_buf) < 0){
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "Cannot get file system info for (%s); file system corrupted?\n",
             li->li_directory, 0, 0);
         return 1;
@@ -1257,7 +1257,7 @@ no_diskspace(struct ldbminfo *li, int dbenv_flags)
             /* Calculate the available space as long as we are not using shared memory */
             if(using_region_files){
                 if(statvfs(li->li_dblayer_private->dblayer_dbhome_directory, &dbhome_buf) < 0){
-                    LDAPDebug(LDAP_DEBUG_ANY,
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                         "Cannot get file system info for (%s); file system corrupted?\n",
                         li->li_dblayer_private->dblayer_dbhome_directory, 0, 0);
                     return 1;
@@ -1278,7 +1278,7 @@ no_diskspace(struct ldbminfo *li, int dbenv_flags)
 
         /* Check if we have enough space */
         if (fsiz < expected_siz){
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                 "No enough space left on device (%s) (%lu bytes); "
                 "at least %lu bytes space is needed for db region files\n",
                 region_dir, fsiz, expected_siz);
@@ -1324,11 +1324,11 @@ dblayer_start(struct ldbminfo *li, int dbmode)
 
     if (NULL != priv->dblayer_env) {
         if (CATASTROPHIC == priv->dblayer_env) {
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                 "Error: DB previously failed to start.\n", 0, 0, 0);
             return -1;
         } else {
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                 "Warning: DB already started.\n", 0, 0, 0);
             return 0;
         }
@@ -1337,7 +1337,7 @@ dblayer_start(struct ldbminfo *li, int dbmode)
     /* DBDB we should pick these up in our config routine, and do away with
      *  the li_ one */
     if (NULL == li->li_directory || '\0' == *li->li_directory) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "Error: DB directory is not specified.\n", 0, 0, 0);
         return -1;
     }
@@ -1363,7 +1363,7 @@ dblayer_start(struct ldbminfo *li, int dbmode)
     return_value = dblayer_grok_directory(region_dir,
                                           DBLAYER_DIRECTORY_READWRITE_ACCESS);
     if (0 != return_value) {
-        LDAPDebug(LDAP_DEBUG_ANY,"Can't start because the database "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"Can't start because the database "
                   "directory \"%s\" either doesn't exist, or is not "
                   "accessible\n", region_dir, 0, 0);
         return return_value;
@@ -1375,7 +1375,7 @@ dblayer_start(struct ldbminfo *li, int dbmode)
         return_value = dblayer_grok_directory(log_dir,
                            DBLAYER_DIRECTORY_READWRITE_ACCESS);
         if (0 != return_value) {
-            LDAPDebug(LDAP_DEBUG_ANY,"Can't start because the log "
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"Can't start because the log "
                       "directory \"%s\" either doesn't exist, or is not "
                       "accessible\n", log_dir, 0, 0);
             return return_value;
@@ -1386,7 +1386,7 @@ dblayer_start(struct ldbminfo *li, int dbmode)
      * the available phys mem */
     if (!util_is_cachesize_sane(&(priv->dblayer_cachesize))) {
         /* Oops---looks like the admin misconfigured, let's warn them */
-        LDAPDebug(LDAP_DEBUG_ANY,"WARNING---Likely CONFIGURATION ERROR---"
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"WARNING---Likely CONFIGURATION ERROR---"
                   "dbcachesize is configured to use more than the available "
                   "physical memory, decreased to the largest available size (%lu bytes).\n",
                   priv->dblayer_cachesize, 0, 0);
@@ -1421,13 +1421,13 @@ dblayer_start(struct ldbminfo *li, int dbmode)
         if (priv->dblayer_recovery_required) {
             open_flags |= DB_RECOVER;
             if (DBLAYER_RESTORE_MODE & dbmode) {
-                LDAPDebug(LDAP_DEBUG_ANY, "Recovering database after restore "
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Recovering database after restore "
                           "from archive.\n", 0, 0, 0);
             } else if (DBLAYER_CLEAN_RECOVER_MODE & dbmode) {
-                LDAPDebug(LDAP_DEBUG_ANY, "Clean up db environment and start "
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Clean up db environment and start "
                           "from archive.\n", 0, 0, 0);
             } else {
-                LDAPDebug(LDAP_DEBUG_ANY, "Detected Disorderly Shutdown last "
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Detected Disorderly Shutdown last "
                           "time Directory Server was running, recovering "
                           "database.\n", 0, 0, 0);
                 slapi_disordely_shutdown(PR_TRUE);
@@ -1448,7 +1448,7 @@ dblayer_start(struct ldbminfo *li, int dbmode)
     }
 
     if (priv->dblayer_private_mem) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "WARNING: Server is running with nsslapd-db-private-mem on; "
                   "No other process is allowed to access the database\n",
                   0, 0, 0);
@@ -1473,11 +1473,11 @@ dblayer_start(struct ldbminfo *li, int dbmode)
          (priv->dblayer_lock_config != priv->dblayer_previous_lock_config)) &&
         !(dbmode & (DBLAYER_ARCHIVE_MODE|DBLAYER_EXPORT_MODE)) ) {
         if (priv->dblayer_cachesize != priv->dblayer_previous_cachesize) {
-            LDAPDebug(LDAP_DEBUG_ANY, "resizing db cache size: %lu -> %lu\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "resizing db cache size: %lu -> %lu\n",
                       priv->dblayer_previous_cachesize, priv->dblayer_cachesize, 0);
         }
         if (priv->dblayer_ncache != priv->dblayer_previous_ncache) {
-            LDAPDebug(LDAP_DEBUG_ANY, "resizing db cache count: %d -> %d\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "resizing db cache count: %d -> %d\n",
                       priv->dblayer_previous_ncache, priv->dblayer_ncache, 0);
         }
         if (priv->dblayer_lock_config != priv->dblayer_previous_lock_config) {
@@ -1491,7 +1491,7 @@ dblayer_start(struct ldbminfo *li, int dbmode)
                 priv->dblayer_lock_config = 10000;
             }
             if (priv->dblayer_lock_config != priv->dblayer_previous_lock_config) {
-                LDAPDebug(LDAP_DEBUG_ANY, "resizing max db lock count: %d -> %d\n",
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "resizing max db lock count: %d -> %d\n",
                       priv->dblayer_previous_lock_config, priv->dblayer_lock_config, 0);
             }
         }
@@ -1501,7 +1501,7 @@ dblayer_start(struct ldbminfo *li, int dbmode)
          * the DB_ENV (pEnv) needs to be created again.
          */
         if ((return_value = dblayer_make_env(&pEnv, li)) != 0) {
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                       "ERROR -- Failed to create DBENV (returned: %d).\n",
                       return_value, 0, 0);
         }
@@ -1514,7 +1514,7 @@ dblayer_start(struct ldbminfo *li, int dbmode)
         if(priv->dblayer_logbuf_size >= 32768) {
             pEnv->dblayer_DB_ENV->set_lg_bsize(pEnv->dblayer_DB_ENV,priv->dblayer_logbuf_size);
         } else {
-            LDAPDebug(LDAP_DEBUG_ANY, "using default value for log bufsize because configured value (%lu) is too small.\n", 
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "using default value for log bufsize because configured value (%lu) is too small.\n", 
             priv->dblayer_logbuf_size, 0, 0);
         }
     }
@@ -1537,7 +1537,7 @@ dblayer_start(struct ldbminfo *li, int dbmode)
             return_value = thisenv->remove(thisenv, region_dir, DB_FORCE);
             if (0 != return_value)
             {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                           "dblayer_start: failed to remove old db env "
                           "in %s: %s\n", region_dir, 
                           dblayer_strerror(return_value), 0);
@@ -1547,7 +1547,7 @@ dblayer_start(struct ldbminfo *li, int dbmode)
 
             if ((return_value = dblayer_make_env(&pEnv, li)) != 0)
             {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                           "ERROR -- Failed to create DBENV (returned: %d).\n",
                           return_value, 0, 0);
                 return return_value;
@@ -1566,17 +1566,17 @@ dblayer_start(struct ldbminfo *li, int dbmode)
                  * https://blackflag.mcom.com/show_bug.cgi?id=557319
                  * Crash ns-slapd while running scalab01 after restart slapd
                  */
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                           "mmap in opening database environment (recovery mode) "
                           "failed trying to allocate %lu bytes. (OS err %d - %s)\n",
                           li->li_dbcachesize, return_value, dblayer_strerror(return_value));
                 dblayer_free_env(&priv->dblayer_env);
                 priv->dblayer_env = CATASTROPHIC;
             } else {
-                LDAPDebug(LDAP_DEBUG_ANY, "Database Recovery Process FAILED. "
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Database Recovery Process FAILED. "
                           "The database is not recoverable. err=%d: %s\n",
                           return_value, dblayer_strerror(return_value), 0);
-                LDAPDebug(LDAP_DEBUG_ANY, 
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                           "Please make sure there is enough disk space for "
                           "dbcache (%lu bytes) and db region files\n",
                           li->li_dbcachesize, 0, 0);
@@ -1586,7 +1586,7 @@ dblayer_start(struct ldbminfo *li, int dbmode)
             open_flags &= ~(DB_RECOVER | DB_RECOVER_FATAL);
             pEnv->dblayer_DB_ENV->close(pEnv->dblayer_DB_ENV, 0);
             if ((return_value = dblayer_make_env(&pEnv, li)) != 0) {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                           "ERROR -- Failed to create DBENV (returned: %d).\n",
                           return_value, 0, 0);
                 return return_value;
@@ -1665,14 +1665,14 @@ dblayer_start(struct ldbminfo *li, int dbmode)
                  * https://blackflag.mcom.com/show_bug.cgi?id=557319
                  * Crash ns-slapd while running scalab01 after restart slapd
                  */
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                       "mmap in opening database environment "
                       "failed trying to allocate %d bytes. (OS err %lu - %s)\n",
                       li->li_dbcachesize, return_value, dblayer_strerror(return_value));
                 dblayer_free_env(&priv->dblayer_env);
                 priv->dblayer_env = CATASTROPHIC;
             } else {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                       "Opening database environment (%s) failed. err=%d: %s\n",
                       region_dir, return_value, dblayer_strerror(return_value));
             }
@@ -1713,7 +1713,7 @@ check_and_set_import_cache(struct ldbminfo *li)
                        pagesize, pages);
         return ENOENT;
     }
-    LDAPDebug(LDAP_DEBUG_ANY, "check_and_set_import_cache: "
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "check_and_set_import_cache: "
                   "pagesize: %ld, pages: %ld, procpages: %ld\n",
                   pagesize, pages, procpages);
 
@@ -1757,7 +1757,7 @@ check_and_set_import_cache(struct ldbminfo *li)
 
     page_delta = pages - import_pages;
     if (page_delta < hard_limit) {
-        LDAPDebug(LDAP_DEBUG_ANY, 
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
             "After allocating import cache %ldKB, "
             "the available memory is %ldKB, "
             "which is less than the hard limit %ldKB. "
@@ -1767,7 +1767,7 @@ check_and_set_import_cache(struct ldbminfo *li)
         return ENOMEM;
     }
     if (page_delta < soft_limit) {
-        LDAPDebug(LDAP_DEBUG_ANY, 
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
             "WARNING: After allocating import cache %ldKB, "
             "the available memory is %ldKB, "
             "which is less than the soft limit %ldKB. "
@@ -1833,21 +1833,21 @@ int dblayer_instance_start(backend *be, int mode)
     priv = (dblayer_private*)li->li_dblayer_private;
     pEnv = priv->dblayer_env;
     if (CATASTROPHIC == pEnv || NULL == pEnv) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "instance %s: dbenv is not available (0x%x).\n", 
                   inst?inst->inst_name:"unknown", pEnv, 0);
         return return_value;
     }
 
     if (NULL != inst->inst_id2entry) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "Warning: DB instance \"%s\" already started.\n",
                   inst->inst_name, 0, 0);
         return 0;
     }
 
     if (attrcrypt_init(inst)) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "Error: unable to initialize attrcrypt system for %s\n",
                   inst->inst_name, 0, 0);
         return return_value;
@@ -1866,12 +1866,12 @@ int dblayer_instance_start(backend *be, int mode)
         return_value = dblayer_grok_directory(inst_dirp,
                                           DBLAYER_DIRECTORY_READWRITE_ACCESS);
     } else {
-        LDAPDebug(LDAP_DEBUG_ANY,"Can't start because the database instance "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"Can't start because the database instance "
                       "directory is NULL\n", 0, 0, 0);
         goto errout;
     }
     if (0 != return_value) {
-        LDAPDebug(LDAP_DEBUG_ANY,"Can't start because the database instance "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"Can't start because the database instance "
                       "directory \"%s\" either doesn't exist, "
                       "or the db files are not accessible\n",
                       inst_dirp, 0, 0);
@@ -1889,7 +1889,7 @@ int dblayer_instance_start(backend *be, int mode)
             char *dataversion = NULL;
 
             if (dbversion_read(li, inst_dirp, &ldbmversion, &dataversion) != 0) {
-                LDAPDebug(LDAP_DEBUG_ANY, "Warning: Unable to read dbversion "
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Warning: Unable to read dbversion "
                           "file in %s\n", inst->inst_dir_name, 0, 0);
             } else {
                 int rval = 0;
@@ -1905,7 +1905,7 @@ int dblayer_instance_start(backend *be, int mode)
                 rval = check_db_inst_version(inst);
                 if (rval & DBVERSION_NOT_SUPPORTED)
                 {
-                    LDAPDebug(LDAP_DEBUG_ANY, "Instance %s does not have the "
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Instance %s does not have the "
                               "expected version\n", inst->inst_name, 0, 0);
                     PR_ASSERT(0);
                     slapi_ch_free_string(&dataversion);
@@ -1943,7 +1943,7 @@ int dblayer_instance_start(backend *be, int mode)
                 rval = ldbm_upgrade(inst, rval);
                 if (0 != rval)
                 {
-                    LDAPDebug(LDAP_DEBUG_ANY, "Upgrading instance %s failed\n",
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Upgrading instance %s failed\n",
                               inst->inst_name, 0, 0);
                     PR_ASSERT(0);
                     return_value = -1;
@@ -1952,7 +1952,7 @@ int dblayer_instance_start(backend *be, int mode)
                 /**
                 if (rval & DBVERSION_NEED_IDL_OLD2NEW)
                 {
-                    LDAPDebug(LDAP_DEBUG_ANY, 
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                         "Instance %s: idl-switch is new while db idl format is "
                         "old, modify nsslapd-idl-switch in dse.ldif to old\n",
                         inst->inst_name, 0, 0);
@@ -1961,7 +1961,7 @@ int dblayer_instance_start(backend *be, int mode)
                 }
                 else if (rval & DBVERSION_NEED_IDL_NEW2OLD)
                 {
-                    LDAPDebug(LDAP_DEBUG_ANY, 
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                         "Instance %s: idl-switch is old while db idl format is "
                         "new, modify nsslapd-idl-switch in dse.ldif to new\n",
                         inst->inst_name, 0, 0);
@@ -2008,7 +2008,7 @@ int dblayer_instance_start(backend *be, int mode)
              * but nsslapd-db-private-import-mem should work with import,
              * as well */
             if (priv->dblayer_private_import_mem) {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "WARNING: Import is running with "
                   "nsslapd-db-private-import-mem on; "
                   "No other process is allowed to access the database\n",
@@ -2038,7 +2038,7 @@ int dblayer_instance_start(backend *be, int mode)
             /* use our own env */
             return_value = dblayer_make_env(&mypEnv, li);
             if (return_value != 0) {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                           "Unable to create new DB_ENV for import/export! %d\n",
                           return_value, 0, 0);
                 goto out;
@@ -2059,7 +2059,7 @@ int dblayer_instance_start(backend *be, int mode)
                                                        oflags,
                                                        priv->dblayer_file_mode);
             if (return_value != 0) {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                           "Unable to open new DB_ENV for import/export! %d\n",
                           return_value, 0, 0);
                 goto out;
@@ -2072,7 +2072,7 @@ int dblayer_instance_start(backend *be, int mode)
         inst->inst_id2entry = NULL;
         return_value = db_create(&inst->inst_id2entry, mypEnv->dblayer_DB_ENV, 0);
         if (0 != return_value) {
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                       "Unable to create id2entry db file! %d\n",
                       return_value, 0, 0);
             goto out;
@@ -2083,7 +2083,7 @@ int dblayer_instance_start(backend *be, int mode)
             (priv->dblayer_page_size == 0) ? DBLAYER_PAGESIZE :
             priv->dblayer_page_size);
         if (0 != return_value) {
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                       "dbp->set_pagesize(%lu or %lu) failed %d\n",
                       priv->dblayer_page_size, DBLAYER_PAGESIZE,
                       return_value);
